<template>
  <FormControl
    :id="id"
    :label="label"
    :required="required"
    :error="error"
    class="c-radio-wrap"
  >
    <label class="c-radio" v-for="{ value, label } in options" :key="value">
      <input
        type="radio"
        :name="id"
        :value="value"
        @input="$emit('input', $event.target.value)"
      />
      <span class="c-radio__label">{{ label }}</span>
      <span class="c-radio__checkmark"></span>
    </label>
  </FormControl>
</template>

<script>
import FormControl from "./FormControl";
export default {
  name: "FormRadio",
  components: { FormControl },
  props: {
    id: {
      type: String,
      required: true
    },
    options: {
      type: Array,
      required: true
    },
    label: String,
    error: String,
    placeholder: {
      type: String,
      default: "Select"
    },
    required: {
      type: Boolean,
      default: true
    },
    model: {
      prop: "value",
      event: "input"
    }
  }
};
</script>

<style lang="scss">
.c-radio {
  display: flex;
  position: relative;
  padding-left: 3rem;
  margin-bottom: 1.5rem;
  cursor: pointer;

  &:last-of-type {
    margin-bottom: 0;
  }

  &-wrap {
    .c-form-control__body {
      display: inline-flex;
      flex-direction: column;
    }
  }

  input {
    position: absolute;
    opacity: 0;
    cursor: pointer;

    &:checked ~ .c-radio__checkmark {
      &:after {
        display: block;
      }
    }
  }

  &__label {
    font-size: 1.6rem;
    line-height: 2.4rem;
    color: $c-text-primary;
  }

  &__checkmark {
    position: absolute;
    top: 0.2rem;
    left: 0;
    height: 2rem;
    width: 2rem;
    background-color: $c-white;
    border: 2px solid $c-brand-primary;
    border-radius: 50%;

    &:after {
      content: "";
      @include absolute(center);
      display: none;
      width: 1rem;
      height: 1rem;
      border-radius: 50%;
      background-color: $c-brand-primary;
    }
  }
}
</style>
